local G = GLOBAL
local STRINGS = G.STRINGS
local IsServer = G.TheNet:GetIsServer()

--[[local insertingitems = {"nightmarefuel"}
local function AddNightmareInserting(inst)
	inst:AddComponent("inserting")    
	inst.components.inserting.nightmarevalue = 1
end
for k,v in pairs(insertingitems) do AddPrefabPostInit(v, AddNightmareInserting) end]]

local function GravePostInit(inst)
	if IsServer then
		local function OnExamine(inst, viewer)
			if inst.setepitaph then
				return inst.setepitaph
			elseif (STRINGS.CHARACTERS[string.upper(viewer.prefab)] and STRINGS.CHARACTERS[string.upper(viewer.prefab)].DESCRIBE.GRAVESTONE) and not inst.setepitaph then
				return STRINGS.CHARACTERS[string.upper(viewer.prefab)] and STRINGS.CHARACTERS[string.upper(viewer.prefab)].DESCRIBE.GRAVESTONE
			else
				return STRINGS.EPITAPHS[math.random(#STRINGS.EPITAPHS)]
			end
		end
		inst.components.inspectable.descriptionfn = OnExamine
	end
end

AddPrefabPostInit("gravestone", GravePostInit)